mbedtls_asn1_bitstring Struct Reference

Container for ASN1 bit strings. More...

`#include <asn1.h>`

## Data Fields

size_t | len
| ASN1 length, in octets. More...
unsigned char | unused_bits
| Number of unused bits at the end of the string. More...
unsigned char * | p
| Raw ASN1 data for the bit string. More...

## Detailed Description

Container for ASN1 bit strings.

Definition at line 129 of file asn1.h.

## Field Documentation

size_t mbedtls_asn1_bitstring::len

ASN1 length, in octets.

Definition at line 131 of file asn1.h.

unsigned char* mbedtls_asn1_bitstring::p

Raw ASN1 data for the bit string.

Definition at line 133 of file asn1.h.

unsigned char mbedtls_asn1_bitstring::unused_bits

Number of unused bits at the end of the string.

Definition at line 132 of file asn1.h.

The documentation for this struct was generated from the following file:

- asn1.h